%define pkg_name        Gtk2-Ex-Simple-Tree
%define pkg_version     0.50
%define rpm_pkg_version 0.50
%define rpm_pkg_release 1.n0i.1

Summary:       A simple interface to Gtk2's complex MVC tree widget
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RM/RMCFARLA/Gtk2-Perl-Ex/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Gtk2::Ex::Simple::List)


%description
Gtk2 has a powerful, but complex MVC (Model, View, Controller) system used to
implement list and tree widgets. Gtk2::Ex::Simple::Tree automates the complex
setup work and allows you to treat the tree model as a more natural list of
hash refs.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc examples/


%changelog
* Wed Jun 06 2007 Marius Feraru <altblue@n0i.net> - 0.50-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.50
